IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network144.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
- Network address
144.0.0.0- Broadcast address
151.255.255.255- First usable
144.0.0.1- Last usable
151.255.255.254- Usable hosts
- 134,217,726 (134,217,728 less the network and broadcast addresses)
- Subnet mask
248.0.0.0- Wildcard mask
7.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /5
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
90000000· Integer2415919104to2550136831 - Reverse DNS zones
144.in-addr.arpa145.in-addr.arpa146.in-addr.arpa147.in-addr.arpa148.in-addr.arpa149.in-addr.arpa150.in-addr.arpa151.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10010000.00000000.00000000.00000000 | 144.0.0.0 |
| Subnet mask | 11111000.00000000.00000000.00000000 | 248.0.0.0 |
| Network | 10010000.00000000.00000000.00000000 | 144.0.0.0 |
| Broadcast | 10010111.11111111.11111111.11111111 | 151.255.255.255 |
Split into smaller subnets
/6 (2)/7 (4)/8 (8)/9 (16)/10 (32)/11 (64)/12 (128)/13 (256)/14 (512)/15 (1,024)/16 (2,048)/17 (4,096)
144.0.0.0/5 makes 512 subnets of /14; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 144.0.0.0/14 | 144.0.0.1 to 144.3.255.254 | 144.3.255.255 | 262,142 |
| 2 | 144.4.0.0/14 | 144.4.0.1 to 144.7.255.254 | 144.7.255.255 | 262,142 |
| 3 | 144.8.0.0/14 | 144.8.0.1 to 144.11.255.254 | 144.11.255.255 | 262,142 |
| 4 | 144.12.0.0/14 | 144.12.0.1 to 144.15.255.254 | 144.15.255.255 | 262,142 |
| 5 | 144.16.0.0/14 | 144.16.0.1 to 144.19.255.254 | 144.19.255.255 | 262,142 |
| 6 | 144.20.0.0/14 | 144.20.0.1 to 144.23.255.254 | 144.23.255.255 | 262,142 |
| 7 | 144.24.0.0/14 | 144.24.0.1 to 144.27.255.254 | 144.27.255.255 | 262,142 |
| 8 | 144.28.0.0/14 | 144.28.0.1 to 144.31.255.254 | 144.31.255.255 | 262,142 |
| 9 | 144.32.0.0/14 | 144.32.0.1 to 144.35.255.254 | 144.35.255.255 | 262,142 |
| 10 | 144.36.0.0/14 | 144.36.0.1 to 144.39.255.254 | 144.39.255.255 | 262,142 |
| 11 | 144.40.0.0/14 | 144.40.0.1 to 144.43.255.254 | 144.43.255.255 | 262,142 |
| 12 | 144.44.0.0/14 | 144.44.0.1 to 144.47.255.254 | 144.47.255.255 | 262,142 |
| 13 | 144.48.0.0/14 | 144.48.0.1 to 144.51.255.254 | 144.51.255.255 | 262,142 |
| 14 | 144.52.0.0/14 | 144.52.0.1 to 144.55.255.254 | 144.55.255.255 | 262,142 |
| 15 | 144.56.0.0/14 | 144.56.0.1 to 144.59.255.254 | 144.59.255.255 | 262,142 |
| 16 | 144.60.0.0/14 | 144.60.0.1 to 144.63.255.254 | 144.63.255.255 | 262,142 |
| 17 | 144.64.0.0/14 | 144.64.0.1 to 144.67.255.254 | 144.67.255.255 | 262,142 |
| 18 | 144.68.0.0/14 | 144.68.0.1 to 144.71.255.254 | 144.71.255.255 | 262,142 |
| 19 | 144.72.0.0/14 | 144.72.0.1 to 144.75.255.254 | 144.75.255.255 | 262,142 |
| 20 | 144.76.0.0/14 | 144.76.0.1 to 144.79.255.254 | 144.79.255.255 | 262,142 |
| 21 | 144.80.0.0/14 | 144.80.0.1 to 144.83.255.254 | 144.83.255.255 | 262,142 |
| 22 | 144.84.0.0/14 | 144.84.0.1 to 144.87.255.254 | 144.87.255.255 | 262,142 |
| 23 | 144.88.0.0/14 | 144.88.0.1 to 144.91.255.254 | 144.91.255.255 | 262,142 |
| 24 | 144.92.0.0/14 | 144.92.0.1 to 144.95.255.254 | 144.95.255.255 | 262,142 |
| 25 | 144.96.0.0/14 | 144.96.0.1 to 144.99.255.254 | 144.99.255.255 | 262,142 |
| 26 | 144.100.0.0/14 | 144.100.0.1 to 144.103.255.254 | 144.103.255.255 | 262,142 |
| 27 | 144.104.0.0/14 | 144.104.0.1 to 144.107.255.254 | 144.107.255.255 | 262,142 |
| 28 | 144.108.0.0/14 | 144.108.0.1 to 144.111.255.254 | 144.111.255.255 | 262,142 |
| 29 | 144.112.0.0/14 | 144.112.0.1 to 144.115.255.254 | 144.115.255.255 | 262,142 |
| 30 | 144.116.0.0/14 | 144.116.0.1 to 144.119.255.254 | 144.119.255.255 | 262,142 |
| 31 | 144.120.0.0/14 | 144.120.0.1 to 144.123.255.254 | 144.123.255.255 | 262,142 |
| 32 | 144.124.0.0/14 | 144.124.0.1 to 144.127.255.254 | 144.127.255.255 | 262,142 |
| 33 | 144.128.0.0/14 | 144.128.0.1 to 144.131.255.254 | 144.131.255.255 | 262,142 |
| 34 | 144.132.0.0/14 | 144.132.0.1 to 144.135.255.254 | 144.135.255.255 | 262,142 |
| 35 | 144.136.0.0/14 | 144.136.0.1 to 144.139.255.254 | 144.139.255.255 | 262,142 |
| 36 | 144.140.0.0/14 | 144.140.0.1 to 144.143.255.254 | 144.143.255.255 | 262,142 |
| 37 | 144.144.0.0/14 | 144.144.0.1 to 144.147.255.254 | 144.147.255.255 | 262,142 |
| 38 | 144.148.0.0/14 | 144.148.0.1 to 144.151.255.254 | 144.151.255.255 | 262,142 |
| 39 | 144.152.0.0/14 | 144.152.0.1 to 144.155.255.254 | 144.155.255.255 | 262,142 |
| 40 | 144.156.0.0/14 | 144.156.0.1 to 144.159.255.254 | 144.159.255.255 | 262,142 |
| 41 | 144.160.0.0/14 | 144.160.0.1 to 144.163.255.254 | 144.163.255.255 | 262,142 |
| 42 | 144.164.0.0/14 | 144.164.0.1 to 144.167.255.254 | 144.167.255.255 | 262,142 |
| 43 | 144.168.0.0/14 | 144.168.0.1 to 144.171.255.254 | 144.171.255.255 | 262,142 |
| 44 | 144.172.0.0/14 | 144.172.0.1 to 144.175.255.254 | 144.175.255.255 | 262,142 |
| 45 | 144.176.0.0/14 | 144.176.0.1 to 144.179.255.254 | 144.179.255.255 | 262,142 |
| 46 | 144.180.0.0/14 | 144.180.0.1 to 144.183.255.254 | 144.183.255.255 | 262,142 |
| 47 | 144.184.0.0/14 | 144.184.0.1 to 144.187.255.254 | 144.187.255.255 | 262,142 |
| 48 | 144.188.0.0/14 | 144.188.0.1 to 144.191.255.254 | 144.191.255.255 | 262,142 |
| 49 | 144.192.0.0/14 | 144.192.0.1 to 144.195.255.254 | 144.195.255.255 | 262,142 |
| 50 | 144.196.0.0/14 | 144.196.0.1 to 144.199.255.254 | 144.199.255.255 | 262,142 |
| 51 | 144.200.0.0/14 | 144.200.0.1 to 144.203.255.254 | 144.203.255.255 | 262,142 |
| 52 | 144.204.0.0/14 | 144.204.0.1 to 144.207.255.254 | 144.207.255.255 | 262,142 |
| 53 | 144.208.0.0/14 | 144.208.0.1 to 144.211.255.254 | 144.211.255.255 | 262,142 |
| 54 | 144.212.0.0/14 | 144.212.0.1 to 144.215.255.254 | 144.215.255.255 | 262,142 |
| 55 | 144.216.0.0/14 | 144.216.0.1 to 144.219.255.254 | 144.219.255.255 | 262,142 |
| 56 | 144.220.0.0/14 | 144.220.0.1 to 144.223.255.254 | 144.223.255.255 | 262,142 |
| 57 | 144.224.0.0/14 | 144.224.0.1 to 144.227.255.254 | 144.227.255.255 | 262,142 |
| 58 | 144.228.0.0/14 | 144.228.0.1 to 144.231.255.254 | 144.231.255.255 | 262,142 |
| 59 | 144.232.0.0/14 | 144.232.0.1 to 144.235.255.254 | 144.235.255.255 | 262,142 |
| 60 | 144.236.0.0/14 | 144.236.0.1 to 144.239.255.254 | 144.239.255.255 | 262,142 |
| 61 | 144.240.0.0/14 | 144.240.0.1 to 144.243.255.254 | 144.243.255.255 | 262,142 |
| 62 | 144.244.0.0/14 | 144.244.0.1 to 144.247.255.254 | 144.247.255.255 | 262,142 |
| 63 | 144.248.0.0/14 | 144.248.0.1 to 144.251.255.254 | 144.251.255.255 | 262,142 |
| 64 | 144.252.0.0/14 | 144.252.0.1 to 144.255.255.254 | 144.255.255.255 | 262,142 |
| 65 | 145.0.0.0/14 | 145.0.0.1 to 145.3.255.254 | 145.3.255.255 | 262,142 |
| 66 | 145.4.0.0/14 | 145.4.0.1 to 145.7.255.254 | 145.7.255.255 | 262,142 |
| 67 | 145.8.0.0/14 | 145.8.0.1 to 145.11.255.254 | 145.11.255.255 | 262,142 |
| 68 | 145.12.0.0/14 | 145.12.0.1 to 145.15.255.254 | 145.15.255.255 | 262,142 |
| 69 | 145.16.0.0/14 | 145.16.0.1 to 145.19.255.254 | 145.19.255.255 | 262,142 |
| 70 | 145.20.0.0/14 | 145.20.0.1 to 145.23.255.254 | 145.23.255.255 | 262,142 |
| 71 | 145.24.0.0/14 | 145.24.0.1 to 145.27.255.254 | 145.27.255.255 | 262,142 |
| 72 | 145.28.0.0/14 | 145.28.0.1 to 145.31.255.254 | 145.31.255.255 | 262,142 |
| 73 | 145.32.0.0/14 | 145.32.0.1 to 145.35.255.254 | 145.35.255.255 | 262,142 |
| 74 | 145.36.0.0/14 | 145.36.0.1 to 145.39.255.254 | 145.39.255.255 | 262,142 |
| 75 | 145.40.0.0/14 | 145.40.0.1 to 145.43.255.254 | 145.43.255.255 | 262,142 |
| 76 | 145.44.0.0/14 | 145.44.0.1 to 145.47.255.254 | 145.47.255.255 | 262,142 |
| 77 | 145.48.0.0/14 | 145.48.0.1 to 145.51.255.254 | 145.51.255.255 | 262,142 |
| 78 | 145.52.0.0/14 | 145.52.0.1 to 145.55.255.254 | 145.55.255.255 | 262,142 |
| 79 | 145.56.0.0/14 | 145.56.0.1 to 145.59.255.254 | 145.59.255.255 | 262,142 |
| 80 | 145.60.0.0/14 | 145.60.0.1 to 145.63.255.254 | 145.63.255.255 | 262,142 |
| 81 | 145.64.0.0/14 | 145.64.0.1 to 145.67.255.254 | 145.67.255.255 | 262,142 |
| 82 | 145.68.0.0/14 | 145.68.0.1 to 145.71.255.254 | 145.71.255.255 | 262,142 |
| 83 | 145.72.0.0/14 | 145.72.0.1 to 145.75.255.254 | 145.75.255.255 | 262,142 |
| 84 | 145.76.0.0/14 | 145.76.0.1 to 145.79.255.254 | 145.79.255.255 | 262,142 |
| 85 | 145.80.0.0/14 | 145.80.0.1 to 145.83.255.254 | 145.83.255.255 | 262,142 |
| 86 | 145.84.0.0/14 | 145.84.0.1 to 145.87.255.254 | 145.87.255.255 | 262,142 |
| 87 | 145.88.0.0/14 | 145.88.0.1 to 145.91.255.254 | 145.91.255.255 | 262,142 |
| 88 | 145.92.0.0/14 | 145.92.0.1 to 145.95.255.254 | 145.95.255.255 | 262,142 |
| 89 | 145.96.0.0/14 | 145.96.0.1 to 145.99.255.254 | 145.99.255.255 | 262,142 |
| 90 | 145.100.0.0/14 | 145.100.0.1 to 145.103.255.254 | 145.103.255.255 | 262,142 |
| 91 | 145.104.0.0/14 | 145.104.0.1 to 145.107.255.254 | 145.107.255.255 | 262,142 |
| 92 | 145.108.0.0/14 | 145.108.0.1 to 145.111.255.254 | 145.111.255.255 | 262,142 |
| 93 | 145.112.0.0/14 | 145.112.0.1 to 145.115.255.254 | 145.115.255.255 | 262,142 |
| 94 | 145.116.0.0/14 | 145.116.0.1 to 145.119.255.254 | 145.119.255.255 | 262,142 |
| 95 | 145.120.0.0/14 | 145.120.0.1 to 145.123.255.254 | 145.123.255.255 | 262,142 |
| 96 | 145.124.0.0/14 | 145.124.0.1 to 145.127.255.254 | 145.127.255.255 | 262,142 |
| 97 | 145.128.0.0/14 | 145.128.0.1 to 145.131.255.254 | 145.131.255.255 | 262,142 |
| 98 | 145.132.0.0/14 | 145.132.0.1 to 145.135.255.254 | 145.135.255.255 | 262,142 |
| 99 | 145.136.0.0/14 | 145.136.0.1 to 145.139.255.254 | 145.139.255.255 | 262,142 |
| 100 | 145.140.0.0/14 | 145.140.0.1 to 145.143.255.254 | 145.143.255.255 | 262,142 |
| 101 | 145.144.0.0/14 | 145.144.0.1 to 145.147.255.254 | 145.147.255.255 | 262,142 |
| 102 | 145.148.0.0/14 | 145.148.0.1 to 145.151.255.254 | 145.151.255.255 | 262,142 |
| 103 | 145.152.0.0/14 | 145.152.0.1 to 145.155.255.254 | 145.155.255.255 | 262,142 |
| 104 | 145.156.0.0/14 | 145.156.0.1 to 145.159.255.254 | 145.159.255.255 | 262,142 |
| 105 | 145.160.0.0/14 | 145.160.0.1 to 145.163.255.254 | 145.163.255.255 | 262,142 |
| 106 | 145.164.0.0/14 | 145.164.0.1 to 145.167.255.254 | 145.167.255.255 | 262,142 |
| 107 | 145.168.0.0/14 | 145.168.0.1 to 145.171.255.254 | 145.171.255.255 | 262,142 |
| 108 | 145.172.0.0/14 | 145.172.0.1 to 145.175.255.254 | 145.175.255.255 | 262,142 |
| 109 | 145.176.0.0/14 | 145.176.0.1 to 145.179.255.254 | 145.179.255.255 | 262,142 |
| 110 | 145.180.0.0/14 | 145.180.0.1 to 145.183.255.254 | 145.183.255.255 | 262,142 |
| 111 | 145.184.0.0/14 | 145.184.0.1 to 145.187.255.254 | 145.187.255.255 | 262,142 |
| 112 | 145.188.0.0/14 | 145.188.0.1 to 145.191.255.254 | 145.191.255.255 | 262,142 |
| 113 | 145.192.0.0/14 | 145.192.0.1 to 145.195.255.254 | 145.195.255.255 | 262,142 |
| 114 | 145.196.0.0/14 | 145.196.0.1 to 145.199.255.254 | 145.199.255.255 | 262,142 |
| 115 | 145.200.0.0/14 | 145.200.0.1 to 145.203.255.254 | 145.203.255.255 | 262,142 |
| 116 | 145.204.0.0/14 | 145.204.0.1 to 145.207.255.254 | 145.207.255.255 | 262,142 |
| 117 | 145.208.0.0/14 | 145.208.0.1 to 145.211.255.254 | 145.211.255.255 | 262,142 |
| 118 | 145.212.0.0/14 | 145.212.0.1 to 145.215.255.254 | 145.215.255.255 | 262,142 |
| 119 | 145.216.0.0/14 | 145.216.0.1 to 145.219.255.254 | 145.219.255.255 | 262,142 |
| 120 | 145.220.0.0/14 | 145.220.0.1 to 145.223.255.254 | 145.223.255.255 | 262,142 |
| 121 | 145.224.0.0/14 | 145.224.0.1 to 145.227.255.254 | 145.227.255.255 | 262,142 |
| 122 | 145.228.0.0/14 | 145.228.0.1 to 145.231.255.254 | 145.231.255.255 | 262,142 |
| 123 | 145.232.0.0/14 | 145.232.0.1 to 145.235.255.254 | 145.235.255.255 | 262,142 |
| 124 | 145.236.0.0/14 | 145.236.0.1 to 145.239.255.254 | 145.239.255.255 | 262,142 |
| 125 | 145.240.0.0/14 | 145.240.0.1 to 145.243.255.254 | 145.243.255.255 | 262,142 |
| 126 | 145.244.0.0/14 | 145.244.0.1 to 145.247.255.254 | 145.247.255.255 | 262,142 |
| 127 | 145.248.0.0/14 | 145.248.0.1 to 145.251.255.254 | 145.251.255.255 | 262,142 |
| 128 | 145.252.0.0/14 | 145.252.0.1 to 145.255.255.254 | 145.255.255.255 | 262,142 |
| 129 | 146.0.0.0/14 | 146.0.0.1 to 146.3.255.254 | 146.3.255.255 | 262,142 |
| 130 | 146.4.0.0/14 | 146.4.0.1 to 146.7.255.254 | 146.7.255.255 | 262,142 |
| 131 | 146.8.0.0/14 | 146.8.0.1 to 146.11.255.254 | 146.11.255.255 | 262,142 |
| 132 | 146.12.0.0/14 | 146.12.0.1 to 146.15.255.254 | 146.15.255.255 | 262,142 |
| 133 | 146.16.0.0/14 | 146.16.0.1 to 146.19.255.254 | 146.19.255.255 | 262,142 |
| 134 | 146.20.0.0/14 | 146.20.0.1 to 146.23.255.254 | 146.23.255.255 | 262,142 |
| 135 | 146.24.0.0/14 | 146.24.0.1 to 146.27.255.254 | 146.27.255.255 | 262,142 |
| 136 | 146.28.0.0/14 | 146.28.0.1 to 146.31.255.254 | 146.31.255.255 | 262,142 |
| 137 | 146.32.0.0/14 | 146.32.0.1 to 146.35.255.254 | 146.35.255.255 | 262,142 |
| 138 | 146.36.0.0/14 | 146.36.0.1 to 146.39.255.254 | 146.39.255.255 | 262,142 |
| 139 | 146.40.0.0/14 | 146.40.0.1 to 146.43.255.254 | 146.43.255.255 | 262,142 |
| 140 | 146.44.0.0/14 | 146.44.0.1 to 146.47.255.254 | 146.47.255.255 | 262,142 |
| 141 | 146.48.0.0/14 | 146.48.0.1 to 146.51.255.254 | 146.51.255.255 | 262,142 |
| 142 | 146.52.0.0/14 | 146.52.0.1 to 146.55.255.254 | 146.55.255.255 | 262,142 |
| 143 | 146.56.0.0/14 | 146.56.0.1 to 146.59.255.254 | 146.59.255.255 | 262,142 |
| 144 | 146.60.0.0/14 | 146.60.0.1 to 146.63.255.254 | 146.63.255.255 | 262,142 |
| 145 | 146.64.0.0/14 | 146.64.0.1 to 146.67.255.254 | 146.67.255.255 | 262,142 |
| 146 | 146.68.0.0/14 | 146.68.0.1 to 146.71.255.254 | 146.71.255.255 | 262,142 |
| 147 | 146.72.0.0/14 | 146.72.0.1 to 146.75.255.254 | 146.75.255.255 | 262,142 |
| 148 | 146.76.0.0/14 | 146.76.0.1 to 146.79.255.254 | 146.79.255.255 | 262,142 |
| 149 | 146.80.0.0/14 | 146.80.0.1 to 146.83.255.254 | 146.83.255.255 | 262,142 |
| 150 | 146.84.0.0/14 | 146.84.0.1 to 146.87.255.254 | 146.87.255.255 | 262,142 |
| 151 | 146.88.0.0/14 | 146.88.0.1 to 146.91.255.254 | 146.91.255.255 | 262,142 |
| 152 | 146.92.0.0/14 | 146.92.0.1 to 146.95.255.254 | 146.95.255.255 | 262,142 |
| 153 | 146.96.0.0/14 | 146.96.0.1 to 146.99.255.254 | 146.99.255.255 | 262,142 |
| 154 | 146.100.0.0/14 | 146.100.0.1 to 146.103.255.254 | 146.103.255.255 | 262,142 |
| 155 | 146.104.0.0/14 | 146.104.0.1 to 146.107.255.254 | 146.107.255.255 | 262,142 |
| 156 | 146.108.0.0/14 | 146.108.0.1 to 146.111.255.254 | 146.111.255.255 | 262,142 |
| 157 | 146.112.0.0/14 | 146.112.0.1 to 146.115.255.254 | 146.115.255.255 | 262,142 |
| 158 | 146.116.0.0/14 | 146.116.0.1 to 146.119.255.254 | 146.119.255.255 | 262,142 |
| 159 | 146.120.0.0/14 | 146.120.0.1 to 146.123.255.254 | 146.123.255.255 | 262,142 |
| 160 | 146.124.0.0/14 | 146.124.0.1 to 146.127.255.254 | 146.127.255.255 | 262,142 |
| 161 | 146.128.0.0/14 | 146.128.0.1 to 146.131.255.254 | 146.131.255.255 | 262,142 |
| 162 | 146.132.0.0/14 | 146.132.0.1 to 146.135.255.254 | 146.135.255.255 | 262,142 |
| 163 | 146.136.0.0/14 | 146.136.0.1 to 146.139.255.254 | 146.139.255.255 | 262,142 |
| 164 | 146.140.0.0/14 | 146.140.0.1 to 146.143.255.254 | 146.143.255.255 | 262,142 |
| 165 | 146.144.0.0/14 | 146.144.0.1 to 146.147.255.254 | 146.147.255.255 | 262,142 |
| 166 | 146.148.0.0/14 | 146.148.0.1 to 146.151.255.254 | 146.151.255.255 | 262,142 |
| 167 | 146.152.0.0/14 | 146.152.0.1 to 146.155.255.254 | 146.155.255.255 | 262,142 |
| 168 | 146.156.0.0/14 | 146.156.0.1 to 146.159.255.254 | 146.159.255.255 | 262,142 |
| 169 | 146.160.0.0/14 | 146.160.0.1 to 146.163.255.254 | 146.163.255.255 | 262,142 |
| 170 | 146.164.0.0/14 | 146.164.0.1 to 146.167.255.254 | 146.167.255.255 | 262,142 |
| 171 | 146.168.0.0/14 | 146.168.0.1 to 146.171.255.254 | 146.171.255.255 | 262,142 |
| 172 | 146.172.0.0/14 | 146.172.0.1 to 146.175.255.254 | 146.175.255.255 | 262,142 |
| 173 | 146.176.0.0/14 | 146.176.0.1 to 146.179.255.254 | 146.179.255.255 | 262,142 |
| 174 | 146.180.0.0/14 | 146.180.0.1 to 146.183.255.254 | 146.183.255.255 | 262,142 |
| 175 | 146.184.0.0/14 | 146.184.0.1 to 146.187.255.254 | 146.187.255.255 | 262,142 |
| 176 | 146.188.0.0/14 | 146.188.0.1 to 146.191.255.254 | 146.191.255.255 | 262,142 |
| 177 | 146.192.0.0/14 | 146.192.0.1 to 146.195.255.254 | 146.195.255.255 | 262,142 |
| 178 | 146.196.0.0/14 | 146.196.0.1 to 146.199.255.254 | 146.199.255.255 | 262,142 |
| 179 | 146.200.0.0/14 | 146.200.0.1 to 146.203.255.254 | 146.203.255.255 | 262,142 |
| 180 | 146.204.0.0/14 | 146.204.0.1 to 146.207.255.254 | 146.207.255.255 | 262,142 |
| 181 | 146.208.0.0/14 | 146.208.0.1 to 146.211.255.254 | 146.211.255.255 | 262,142 |
| 182 | 146.212.0.0/14 | 146.212.0.1 to 146.215.255.254 | 146.215.255.255 | 262,142 |
| 183 | 146.216.0.0/14 | 146.216.0.1 to 146.219.255.254 | 146.219.255.255 | 262,142 |
| 184 | 146.220.0.0/14 | 146.220.0.1 to 146.223.255.254 | 146.223.255.255 | 262,142 |
| 185 | 146.224.0.0/14 | 146.224.0.1 to 146.227.255.254 | 146.227.255.255 | 262,142 |
| 186 | 146.228.0.0/14 | 146.228.0.1 to 146.231.255.254 | 146.231.255.255 | 262,142 |
| 187 | 146.232.0.0/14 | 146.232.0.1 to 146.235.255.254 | 146.235.255.255 | 262,142 |
| 188 | 146.236.0.0/14 | 146.236.0.1 to 146.239.255.254 | 146.239.255.255 | 262,142 |
| 189 | 146.240.0.0/14 | 146.240.0.1 to 146.243.255.254 | 146.243.255.255 | 262,142 |
| 190 | 146.244.0.0/14 | 146.244.0.1 to 146.247.255.254 | 146.247.255.255 | 262,142 |
| 191 | 146.248.0.0/14 | 146.248.0.1 to 146.251.255.254 | 146.251.255.255 | 262,142 |
| 192 | 146.252.0.0/14 | 146.252.0.1 to 146.255.255.254 | 146.255.255.255 | 262,142 |
| 193 | 147.0.0.0/14 | 147.0.0.1 to 147.3.255.254 | 147.3.255.255 | 262,142 |
| 194 | 147.4.0.0/14 | 147.4.0.1 to 147.7.255.254 | 147.7.255.255 | 262,142 |
| 195 | 147.8.0.0/14 | 147.8.0.1 to 147.11.255.254 | 147.11.255.255 | 262,142 |
| 196 | 147.12.0.0/14 | 147.12.0.1 to 147.15.255.254 | 147.15.255.255 | 262,142 |
| 197 | 147.16.0.0/14 | 147.16.0.1 to 147.19.255.254 | 147.19.255.255 | 262,142 |
| 198 | 147.20.0.0/14 | 147.20.0.1 to 147.23.255.254 | 147.23.255.255 | 262,142 |
| 199 | 147.24.0.0/14 | 147.24.0.1 to 147.27.255.254 | 147.27.255.255 | 262,142 |
| 200 | 147.28.0.0/14 | 147.28.0.1 to 147.31.255.254 | 147.31.255.255 | 262,142 |
| 201 | 147.32.0.0/14 | 147.32.0.1 to 147.35.255.254 | 147.35.255.255 | 262,142 |
| 202 | 147.36.0.0/14 | 147.36.0.1 to 147.39.255.254 | 147.39.255.255 | 262,142 |
| 203 | 147.40.0.0/14 | 147.40.0.1 to 147.43.255.254 | 147.43.255.255 | 262,142 |
| 204 | 147.44.0.0/14 | 147.44.0.1 to 147.47.255.254 | 147.47.255.255 | 262,142 |
| 205 | 147.48.0.0/14 | 147.48.0.1 to 147.51.255.254 | 147.51.255.255 | 262,142 |
| 206 | 147.52.0.0/14 | 147.52.0.1 to 147.55.255.254 | 147.55.255.255 | 262,142 |
| 207 | 147.56.0.0/14 | 147.56.0.1 to 147.59.255.254 | 147.59.255.255 | 262,142 |
| 208 | 147.60.0.0/14 | 147.60.0.1 to 147.63.255.254 | 147.63.255.255 | 262,142 |
| 209 | 147.64.0.0/14 | 147.64.0.1 to 147.67.255.254 | 147.67.255.255 | 262,142 |
| 210 | 147.68.0.0/14 | 147.68.0.1 to 147.71.255.254 | 147.71.255.255 | 262,142 |
| 211 | 147.72.0.0/14 | 147.72.0.1 to 147.75.255.254 | 147.75.255.255 | 262,142 |
| 212 | 147.76.0.0/14 | 147.76.0.1 to 147.79.255.254 | 147.79.255.255 | 262,142 |
| 213 | 147.80.0.0/14 | 147.80.0.1 to 147.83.255.254 | 147.83.255.255 | 262,142 |
| 214 | 147.84.0.0/14 | 147.84.0.1 to 147.87.255.254 | 147.87.255.255 | 262,142 |
| 215 | 147.88.0.0/14 | 147.88.0.1 to 147.91.255.254 | 147.91.255.255 | 262,142 |
| 216 | 147.92.0.0/14 | 147.92.0.1 to 147.95.255.254 | 147.95.255.255 | 262,142 |
| 217 | 147.96.0.0/14 | 147.96.0.1 to 147.99.255.254 | 147.99.255.255 | 262,142 |
| 218 | 147.100.0.0/14 | 147.100.0.1 to 147.103.255.254 | 147.103.255.255 | 262,142 |
| 219 | 147.104.0.0/14 | 147.104.0.1 to 147.107.255.254 | 147.107.255.255 | 262,142 |
| 220 | 147.108.0.0/14 | 147.108.0.1 to 147.111.255.254 | 147.111.255.255 | 262,142 |
| 221 | 147.112.0.0/14 | 147.112.0.1 to 147.115.255.254 | 147.115.255.255 | 262,142 |
| 222 | 147.116.0.0/14 | 147.116.0.1 to 147.119.255.254 | 147.119.255.255 | 262,142 |
| 223 | 147.120.0.0/14 | 147.120.0.1 to 147.123.255.254 | 147.123.255.255 | 262,142 |
| 224 | 147.124.0.0/14 | 147.124.0.1 to 147.127.255.254 | 147.127.255.255 | 262,142 |
| 225 | 147.128.0.0/14 | 147.128.0.1 to 147.131.255.254 | 147.131.255.255 | 262,142 |
| 226 | 147.132.0.0/14 | 147.132.0.1 to 147.135.255.254 | 147.135.255.255 | 262,142 |
| 227 | 147.136.0.0/14 | 147.136.0.1 to 147.139.255.254 | 147.139.255.255 | 262,142 |
| 228 | 147.140.0.0/14 | 147.140.0.1 to 147.143.255.254 | 147.143.255.255 | 262,142 |
| 229 | 147.144.0.0/14 | 147.144.0.1 to 147.147.255.254 | 147.147.255.255 | 262,142 |
| 230 | 147.148.0.0/14 | 147.148.0.1 to 147.151.255.254 | 147.151.255.255 | 262,142 |
| 231 | 147.152.0.0/14 | 147.152.0.1 to 147.155.255.254 | 147.155.255.255 | 262,142 |
| 232 | 147.156.0.0/14 | 147.156.0.1 to 147.159.255.254 | 147.159.255.255 | 262,142 |
| 233 | 147.160.0.0/14 | 147.160.0.1 to 147.163.255.254 | 147.163.255.255 | 262,142 |
| 234 | 147.164.0.0/14 | 147.164.0.1 to 147.167.255.254 | 147.167.255.255 | 262,142 |
| 235 | 147.168.0.0/14 | 147.168.0.1 to 147.171.255.254 | 147.171.255.255 | 262,142 |
| 236 | 147.172.0.0/14 | 147.172.0.1 to 147.175.255.254 | 147.175.255.255 | 262,142 |
| 237 | 147.176.0.0/14 | 147.176.0.1 to 147.179.255.254 | 147.179.255.255 | 262,142 |
| 238 | 147.180.0.0/14 | 147.180.0.1 to 147.183.255.254 | 147.183.255.255 | 262,142 |
| 239 | 147.184.0.0/14 | 147.184.0.1 to 147.187.255.254 | 147.187.255.255 | 262,142 |
| 240 | 147.188.0.0/14 | 147.188.0.1 to 147.191.255.254 | 147.191.255.255 | 262,142 |
| 241 | 147.192.0.0/14 | 147.192.0.1 to 147.195.255.254 | 147.195.255.255 | 262,142 |
| 242 | 147.196.0.0/14 | 147.196.0.1 to 147.199.255.254 | 147.199.255.255 | 262,142 |
| 243 | 147.200.0.0/14 | 147.200.0.1 to 147.203.255.254 | 147.203.255.255 | 262,142 |
| 244 | 147.204.0.0/14 | 147.204.0.1 to 147.207.255.254 | 147.207.255.255 | 262,142 |
| 245 | 147.208.0.0/14 | 147.208.0.1 to 147.211.255.254 | 147.211.255.255 | 262,142 |
| 246 | 147.212.0.0/14 | 147.212.0.1 to 147.215.255.254 | 147.215.255.255 | 262,142 |
| 247 | 147.216.0.0/14 | 147.216.0.1 to 147.219.255.254 | 147.219.255.255 | 262,142 |
| 248 | 147.220.0.0/14 | 147.220.0.1 to 147.223.255.254 | 147.223.255.255 | 262,142 |
| 249 | 147.224.0.0/14 | 147.224.0.1 to 147.227.255.254 | 147.227.255.255 | 262,142 |
| 250 | 147.228.0.0/14 | 147.228.0.1 to 147.231.255.254 | 147.231.255.255 | 262,142 |
| 251 | 147.232.0.0/14 | 147.232.0.1 to 147.235.255.254 | 147.235.255.255 | 262,142 |
| 252 | 147.236.0.0/14 | 147.236.0.1 to 147.239.255.254 | 147.239.255.255 | 262,142 |
| 253 | 147.240.0.0/14 | 147.240.0.1 to 147.243.255.254 | 147.243.255.255 | 262,142 |
| 254 | 147.244.0.0/14 | 147.244.0.1 to 147.247.255.254 | 147.247.255.255 | 262,142 |
| 255 | 147.248.0.0/14 | 147.248.0.1 to 147.251.255.254 | 147.251.255.255 | 262,142 |
| 256 | 147.252.0.0/14 | 147.252.0.1 to 147.255.255.254 | 147.255.255.255 | 262,142 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |